Author: jfrederic.clere(a)jboss.com
Date: 2009-04-23 03:36:35 -0400 (Thu, 23 Apr 2009)
New Revision: 2402
Modified:
trunk/build/unix/build.sh
Log:
Test for posix_tar instead set it according to the platform.
Modified: trunk/build/unix/build.sh
===================================================================
--- trunk/build/unix/build.sh 2009-04-22 18:25:12 UTC (rev 2401)
+++ trunk/build/unix/build.sh 2009-04-23 07:36:35 UTC (rev 2402)
@@ -330,7 +330,6 @@
;;
HP-UX*)
BUILD_SYS="hpux"
- has_posix_tar=false
CC=cc
export CC
#
http://hpux.cs.utah.edu/ only has a 32 bits one.
@@ -359,6 +358,16 @@
;;
esac
+# Check for a posix tar
+mkdir test.$$
+tar --owner=root --group=bin -cf /dev/null test.$$
+if [ $? -ne 0 ]; then
+ has_posix_tar=false
+fi
+rm -rf test.$$
+echo "has_posix_tar: ${has_posix_tar}"
+
+
# Display what we are going to do.
echo "Building ${PACKAGE} on ${BUILD_SYS} ${BUILD_CPU}"
if $has_apr; then